
From: Adrian Bunk <bunk@stusta.de>

This patch removes some completely unused code.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/boot/compressed/misc.c |    1 -
 drivers/video/fbmon.c            |    1 -
 drivers/video/vesafb.c           |    3 ---
 include/video/edid.h             |    9 ---------
 4 files changed, 14 deletions(-)

diff -puN arch/i386/boot/compressed/misc.c~fbdev-edidh-cleanups arch/i386/boot/compressed/misc.c
--- 25/arch/i386/boot/compressed/misc.c~fbdev-edidh-cleanups	2005-04-25 19:23:18.334221552 -0700
+++ 25-akpm/arch/i386/boot/compressed/misc.c	2005-04-25 19:23:18.450203920 -0700
@@ -12,7 +12,6 @@
 #include <linux/linkage.h>
 #include <linux/vmalloc.h>
 #include <linux/tty.h>
-#include <video/edid.h>
 #include <asm/io.h>
 #include <asm/page.h>
 
diff -puN drivers/video/fbmon.c~fbdev-edidh-cleanups drivers/video/fbmon.c
--- 25/drivers/video/fbmon.c~fbdev-edidh-cleanups	2005-04-25 19:23:18.335221400 -0700
+++ 25-akpm/drivers/video/fbmon.c	2005-04-25 19:23:18.452203616 -0700
@@ -34,7 +34,6 @@
 #include <asm/prom.h>
 #include <asm/pci-bridge.h>
 #endif
-#include <video/edid.h>
 #include "edid.h"
 
 /* 
diff -puN drivers/video/vesafb.c~fbdev-edidh-cleanups drivers/video/vesafb.c
--- 25/drivers/video/vesafb.c~fbdev-edidh-cleanups	2005-04-25 19:23:18.336221248 -0700
+++ 25-akpm/drivers/video/vesafb.c	2005-04-25 19:23:18.453203464 -0700
@@ -19,9 +19,6 @@
 #include <linux/fb.h>
 #include <linux/ioport.h>
 #include <linux/init.h>
-#ifdef __i386__
-#include <video/edid.h>
-#endif
 #include <asm/io.h>
 #include <asm/mtrr.h>
 
diff -puN include/video/edid.h~fbdev-edidh-cleanups include/video/edid.h
--- 25/include/video/edid.h~fbdev-edidh-cleanups	2005-04-25 19:23:18.336221248 -0700
+++ 25-akpm/include/video/edid.h	2005-04-25 19:23:18.453203464 -0700
@@ -4,9 +4,6 @@
 #ifdef __KERNEL__
 
 #include <linux/config.h>
-#ifdef CONFIG_PPC_OF
-#include <linux/pci.h>
-#endif
 
 #ifdef CONFIG_X86
 struct edid_info {
@@ -14,14 +11,8 @@ struct edid_info {
 };
 
 extern struct edid_info edid_info;
-extern char *get_EDID_from_BIOS(void *);
-
 #endif /* CONFIG_X86 */
 
-#ifdef CONFIG_PPC_OF
-extern char *get_EDID_from_OF(struct pci_dev *pdev);
-#endif
-
 #endif /* __KERNEL__ */
 
 #endif /* __linux_video_edid_h__ */
_
